
package de.ivu.elect.presentation.kandidatur;

import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.wahl.boundary.WahlSessionSelect;
import de.ivu.elect.business.wahl.entity.Wahltermin;
import de.ivu.elect.presentation.personenregister.AbstractPersonenregisterPersonendatenSelectionView;

public abstract class AbstractKandidaturPersonenregisterPersonendatenSelectionView<E extends Kandidatur> extends AbstractPersonenregisterPersonendatenSelectionView<E> {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient WahlSessionSelect wahlSelect;

  public AbstractKandidaturPersonenregisterPersonendatenSelectionView() {
    super();
  }

  @Override
  protected Wahltermin getWahltermin() {
    if (wahlSelect.isSelected()) {
      return wahlSelect.getEntity().getWahltermin();
    }

    return null;
  }
}
